//////////////////////////////////////// SETUP \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\

int y[16] = {0,1,A5,A4,A3,A2,A1,A0,9,10,2,3,4,5,6,7}; //defining the pattern for the Y posision
                                
int latchPin = 8;             //Pin connected to ST_CP of 74HC595
int clockPin = 12;            //Pin connected to SH_CP of 74HC595
int dataPin = 11;             //Pin connected to DS of 74HC595

#define num_1  {0,0,128,128,128,128,128,128,128,128,128,128,128,192,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0}
#define num_2  {0,192,32,16,16,32,64,128,0,0,0,0,0,240,0,0,0,3,4,8,0,0,0,0,1,2,4,8,8,15,0,0}
#define num_3  {0,0,192,32,16,16,32,192,64,32,16,16,32,192,0,0,0,0,1,2,0,0,0,0,0,0,0,0,2,1,0,0}
#define num_4  {0,0,32,32,32,32,32,32,240,32,32,32,32,32,0,0,0,0,8,8,8,8,8,8,7,0,0,0,0,0,0,0}
#define num_5  {0,0,224,32,32,32,32,192,0,0,0,0,0,224,0,0,0,0,15,0,0,0,0,7,8,8,8,8,4,3,0,0}  // fail
#define num_6  {0,0,192,0,0,0,0,128,64,32,32,32,64,128,0,0,0,0,3,4,4,8,8,11,12,8,8,8,4,3,0,0}
#define space  {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
#define PrRow {128,64,32,16,8,4,2,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,64,32,16,8,4,2,1}

void setup() {
  Serial.begin(9600);  //setting up serial port for debugging
  
  pinMode(latchPin, OUTPUT);    //set the latch Pin as an output
  pinMode(dataPin, OUTPUT);     //set the data Pin as an output
  pinMode(clockPin, OUTPUT);    //set the clock Pin as an output
  
  for(int d = 0; d < 16; d++){  
    pinMode(y[d], OUTPUT);      //set all the arduino pins controling the Y - posision as outputs 
    digitalWrite(y[d], HIGH);   //and turns them high so no LED's turn on
  }
}

const int numCharacters = 8;   // the number of characters to be displayed
int order[numCharacters] [32] = {space,num_1,num_2,num_3,num_4,num_5,num_6,space};       

int randomOrder[1][32] = {PrRow};

void loop() {

  countdown(50, 1000);  // number og times to repeat a font or pattern
                        //,refresh Rate in Micro seconds
  Random(2,5);        //minimum refresh Rate, maximum refresh Rate  
}


